*****************************************************************************
*       PROGRAM AUTHOR:         RICHARD E. CHANDLER
*                               (email: richard@stats.ucl.ac.uk)
*       AFFILIATION:            DEPARTMENT OF STATISTICAL SCIENCE
*                                UNIVERSITY COLLEGE LONDON
*                                 GOWER STREET
*                                  LONDON WC1E 6BT
*                                   UK
*        UCL 2010
******************************************************************************
*	This file contains FORTRAN routines for handling correlated binary 
*   data via a latent Gaussian process, using the method of Pearson (1901). 
*
*	REVISION HISTORY:
*	=================
*       OCTOBER 2010    First version.
******************************************************************************
******************************************************************************
******************************************************************************
      PROGRAM BINTEST
*
*     Test of binary correlation calculations
*
      DOUBLE PRECISION P12, RHOTOP, RHO
	  
	  RHO = -0.95D0
	  P12 = RHOTOP(0.99D0,0.01D0,RHO,1.0D-6)
	  WRITE(*,*) P12
	  
 1	  FORMAT('Joint prob = ',F9.7)

	  END
